v3.0
get
/ec-codelist-svc/rest/v3.0/codelist/values/{fieldName}
Get codelist values by code name, tag, or id. You can optionally scope the request to a study or group and choose current/history data.
Request
Path Parameters
-
fieldName(required): string
Name of the fields. It can be code name, tag name or code ID.Example:
AESEV
Query Parameters
-
allFields: boolean
Indicates whether hidden fields need to be retrieved. Allowed values are true or false.Example:
true -
dataType: string
Data Type. Allowed values are current, history. Default is current.Allowed Values:
[ "current", "history" ]Example:current -
groupId: string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the groupExample:
B1B8327AFAA6412287106192AB5984EF -
includeHidden: boolean
Indicates whether hidden code values should be returned. Allowed values are true or false. Default is falseDefault Value:
trueExample:true -
isHierarchial: boolean
Indicates whether hierarchial code values need to be retrieved. Allowed values are true or false.Example:
false -
language: string
Language for expected response codelist. This overrides user preference for language. This field is case sensitive and accepts values like en, ja etc. By default it's english (en)Example:
en -
mode: string
Mode of the study. Allowed values are active, test and trainingExample:
DESIGN -
studyId: string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF -
type: string
Field Type. Allowed values are code, tag and ID. Default is code.Allowed Values:
[ "code", "tag", "id", "siteId" ]Example:code
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Nested Schema : code
Type:
objectNested Schema : items
Type:
objectExamples
400 Response
Missing required field (codeName).
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object